org.apache.pdfbox.pdmodel.interactive.measurement

## Class PDMeasureDictionary

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.measurement.PDMeasureDictionary

All Implemented Interfaces:
  COSObjectable

Direct Known Subclasses:
  PDRectlinearMeasureDictionary

    public class PDMeasureDictionary
    extends Object
    implements COSObjectable

This class represents a measure dictionary.

### Field Summary

Fields
`static String` `TYPE` The type of the dictionary.

### Constructor Summary

Constructors
`protected` `PDMeasureDictionary()` Constructor.
`` `PDMeasureDictionary(COSDictionary dictionary)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSDictionary` `getCOSObject()` This will return the corresponding dictionary.
`String` `getSubtype()` returns the subtype of the measure dictionary.
`String` `getType()` This will return the type of the measure dictionary.
`protected void` `setSubtype(String subtype)` This will set the subtype of the measure dictionary.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE

    public static final String TYPE

The type of the dictionary.

See Also:
  Constant Field Values

### Constructor Detail

#### PDMeasureDictionary

    protected PDMeasureDictionary()

Constructor.

#### PDMeasureDictionary

    public PDMeasureDictionary(COSDictionary dictionary)

Constructor.

Parameters:
  `dictionary` - the corresponding dictionary

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

This will return the corresponding dictionary.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  the measure dictionary

#### getType

    public String getType()

This will return the type of the measure dictionary. It must be "Measure"

Returns:
  the type

#### getSubtype

    public String getSubtype()

returns the subtype of the measure dictionary.

Returns:
  the subtype of the measure data dictionary

#### setSubtype

    protected void setSubtype(String subtype)

This will set the subtype of the measure dictionary.

Parameters:
  `subtype` - the subtype of the measure dictionary